{{- $position := .position -}}
{{- $title := .title -}}
{{- $term := false -}}
{{- with .data }}
  {{ if .category }}
    {{- $term = site.GetPage (printf "/categories%s" .category) -}}
  {{ end }}
  <section class="block-posts {{ if $term }} term-{{ replace $term.Slug "/" "" }} {{- end -}}" id="block-{{ $position }}">
    <div class="container">
      <div class="block-content">
        {{ with $title -}}
        <h2 id="{{ . | urlize }}">{{ partial "osuny/PrepareHTML" . }}</h2>
          {{- if $term -}}
            <a href="{{ $term.Permalink }}">
          {{- end -}}
            {{- partial "osuny/PrepareHTML" $title -}}
          {{- if $term -}}
            </a>
          {{- end -}}
        </h2>
        {{- end }}

        <div class="posts">
        {{ range $post := .posts -}}
          {{ with site.GetPage (printf "/posts/%s" $post) }}
          <div>
            {{ partial "osuny/posts/post" . }}
          </div>
          {{ end }}
        {{ end }}
        </div>

      </div>
    </div>
  </section>
{{ end -}}
